<?php
App::uses('AppComponent', 'Controller');

class TinyMCEComponent extends Component {

	protected $__controller = null;

	protected $__modelReference = null;

	protected $__modelAlias = null;

	protected $__bodyReference = null;

	public function initialize(Controller $controller) {
		parent::initialize($controller);

		$this->__controller = $controller;

		$this->__modelReference = $this->settings['model_reference'];
		$this->__modelAlias = $this->settings['model_alias'];
		$this->__bodyReference = $this->settings['body_reference'];

		$this->setupSession($controller);
	}

	/**
	 * this is basically a check for if we're editing a record, and if we are, then
	 * setup the session variables for use with selecting an image with this record
	 */
	public function setupSession(Controller $controller) {
		$action = $controller->action;

		if ($action == 'admin_edit') {
			if (isset($controller->request->params['pass'][0])) {
				$modelId = $controller->request->params['pass'][0];
				$modelReference = $controller->modelClass;

				$this->setupSessionForModelInstance($modelId, $this->__modelAlias);
			}
		}
	}

	/**
	 * setup a couple of session variables that we use during the select image process to
	 * ensure that we're loading images for the correct record.
	 */
	public function setupSessionForModelInstance($modelId, $modelReference) {
		$this->__controller->Session->write('EvTinyMceImage.model_id', $modelId);
		$this->__controller->Session->write('EvTinyMceImage.model_reference', $modelReference);
	}
}
