# EVTinyMCEImagePicker
========================

## About
Allows you to add an image insert tool in TinyMCE that pulls images from your image tabs.

General features include image resize options during insert as well as alignment options.

Based on Tom's REBA plugin and extended by Rick.

## Setup
There are quite a few steps for setting up this plugin to enable images in the TinyMce editor, but they are very straight forward:  
<br>
1) Make sure that your model has an image association called "main" e.g.
~~~~
	public $imageSlots = array(
		'main' => array(
			'slots' => -1,
			'fields' => array(
				'alt'
			)
		),
	);
~~~~

<br>
2) Inside your controller add the following to your $components array
~~~~
    'EvTinyMceImage.TinyMCE' => [
		'model_reference' => 'SupportBlogPost',
		'model_alias' => 'SupportBlogPost',
		'body_reference' => 'body', // this is the name of the variable that holds the main text content, that contain the images that need to get swapped out with the inline images
	],
~~~~
Where the `model_reference` key is the model containing the TinyMCE editor, `model_alias` is the Alias for that model and `body_reference` is the field which we want to insert images into.

<br>
3) Look for the `$.fn.wysiwygEditor.defaults` array in your `admin_form.js` file and make the following changes:

Add evoluted_image to the "external_plugins" key or set it like so -
~~~~
	'external_plugins': {
	    'evoluted_image': '/ev_tiny_mce_image/js/plugin.min.js'
	},
~~~~

Add `evoluted_image` to the "toolbar" key

Lastly, make sure the img tag and any attributes are allowed by adding `img[*]` to the list of valid elements.